> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/inventory-manager/create-inventory/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Create a new inventory POST https://example.itential.io/inventory_manager/v1/inventories Content-Type: application/json Creates a new inventory with the specified name and optional properties. Reference: https://docs.itential.com/itential-cloud/api-reference/inventory-manager/create-inventory ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Body (application/json) This endpoint expects an object. - `name` (string, optional) — The name of the inventory - `description` (string, optional) — Description of the inventory - `groups` (list of string, optional) — Array of group names that will have access to this inventory (at least one group required) - `tags` (list of string, optional) — Array of tag names to associate with this inventory. Tags will be automatically created if they don't exist. - `actions` (list of object, optional) — Array of action objects to create with the inventory - `name` (string, required) — The name of the action - `action_type` (enum, required) — The type of action that determines how it will be executed - Allowed values: `iag5-service` - `action_config` (object, optional) — Configuration settings for the action - `action_parameters` (object, optional) — Runtime parameters for the action execution - `createBrokerActions` (boolean, optional, default: false) — Automatically create built-in broker actions (get-config, set-config, run-command, is-alive) for device broker compatibility. Custom actions with the same name will override the default broker actions. - `defaultClusterId` (string, optional) — Default cluster ID for built-in broker actions. Required when createBrokerActions is enabled. ## Response ### 200 Response from creating an inventory - `status` (string, optional) - `result` (object, optional) — The created inventory document - `name` (string, required) — The name of the inventory - `version` (string, optional) - `groups` (list of string, optional) - `description` (string, optional) - `actions` (list of object, optional) - `name` (string, required) - `action_type` (string, required) - `action_config` (object, optional) - `action_parameters` (object, optional) - `created_at` (string, optional) - `updated_at` (string, optional) - `created_by` (string, optional) - `updated_by` (string, optional) - `tags` (list of string, optional) — Array of tag IDs associated with this inventory - `created_at` (string, optional) - `updated_at` (string, optional) - `created_by` (string, optional) - `updated_by` (string, optional) - `_id` (string, optional) — MongoDB document ID - `message` (string, optional) — Success message ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "status": "Success", "result": { "name": "string", "version": "2024-01-15T09:30:00Z", "groups": [ "string" ], "description": "string", "actions": [ { "name": "string", "action_type": "string", "action_config": {}, "action_parameters": {}, "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "created_by": "string", "updated_by": "string" } ], "tags": [ "string" ], "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "created_by": "string", "updated_by": "string", "_id": "string" }, "message": "string" } ``` **SDK Code** ```python import requests url = "https://example.itential.io/inventory_manager/v1/inventories" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/inventory_manager/v1/inventories'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/inventory_manager/v1/inventories" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/inventory_manager/v1/inventories") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://example.itential.io/inventory_manager/v1/inventories") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://example.itential.io/inventory_manager/v1/inventories', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/inventory_manager/v1/inventories"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/inventory_manager/v1/inventories")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```